import React from 'react'
import { render } from 'react-dom'
import { createStore } from 'redux'
import { Provider } from 'react-redux'
import App from './components/App'

import { DataManager, Query } from '@syncfusion/ej2-data';
import  * as dataSource from './dataSource.json';
var data = dataSource.templateData;
var index = 0;
const reducer = (state = 0, action) => {
    console.log(action);
    switch(action.type) {
      case 'Click':
        return  action.payload.value;
      default:
        return state;
    }
  };

// creating store
 export const store = createStore(reducer)

export const Click = () => ({
    type: 'Click',
    payload: { value: getChild() },
  });

  export const getChild = () => {
   let treeObj;
   var ele = document.getElementById('tree');
   if(ele) {
      treeObj = ele.ej2_instances[0];
      var childData = data;
      return childData;
   }
  };

  
render(
  <Provider store={store}>
    <App />
  </Provider>,
  document.getElementById('root')
)

