import React from 'react'
import { connect } from 'react-redux'
import '../App.css';
import { TreeViewComponent } from '@syncfusion/ej2-react-navigations';
import { store, Click } from '../index'
import {axios} from 'axios';
import '../../node_modules/@syncfusion/ej2-react-navigations/styles/material.css';
import '../../node_modules/@syncfusion/ej2-base/styles/material.css';
import '../../node_modules/@syncfusion/ej2-inputs/styles/material.css';
import '../../node_modules/@syncfusion/ej2-buttons/styles/material.css';
/* eslint-disable no-unused-expressions */
export class DynamicTree extends React.Component {
    constructor(props) {
        super(props);
        this.treeDataSource = [];
        this.cssClass ="custom-tree"
        this.nodeTemplate  = '<div>' + '<div class="treeName">${FirstName}</div>'  + '<div class="emailAddress">${Title}</div>'
      '</div>';
      this.state = {fields:{ dataSource: [], id: 'EmployeeID', text: 'FirstName', }};
    }
    static getDerivedStateFromProps(props, state){
        if (props.value !== state.fields) {
            return {
              fields: {dataSource: state.fields }
            }
          }
      
          // No state update necessary
          return null;
        }
    
    componentDidMount() { debugger
        var _this =this;
        var data = this.fetchData()
        
      }
     /* eslint-disable no-unused-expressions */
      fetchData(){
        fetch("https://services.odata.org/V4/Northwind/Northwind.svc/Employees")
        .then(res => res.json())
        .then(
          (result) => {
            this.setState({
                fields: result.value
            });
          })
      }
     
    render() {
        const loadTree = this.props.loadTree;
        return (
            <div className="app">
                <TreeViewComponent id="tree" cssClass="custom" nodeExpanding={loadTree} nodeTemplate={this.nodeTemplate} fields={this.state.fields} ref={(tree) => { this.treeObj = tree }}   ></TreeViewComponent>
            </div>
        );
    }
}

  
const stateToProps = state => {
        return{
            loadTree: function() {
                state=  store.dispatch(Click())
        },
        value:state
    }
    }
DynamicTree = connect(stateToProps)(DynamicTree)
export default DynamicTree
 